Erro ao compilar Qt5 no Slackware 14.2 [Resolvido]

Publicado por João Leite em 01/02/2017

[ Hits: 3.286 ]

Blog: https://carvalhojldc.github.io/

 


Erro ao compilar Qt5 no Slackware 14.2 [Resolvido]



Compilar o Qt5 é uma tarefa que leva várias e várias horas, imagina tu perder 6 horas de trabalho devido a um erro? #aconteceuComigo

Olha só a criança:

[...]
  File "/usr/lib64/python2.7/multiprocessing/queues.py", line 48, in <module>
    from .synchronize import Lock, BoundedSemaphore, Semaphore, Condition
  File "/usr/lib64/python2.7/multiprocessing/synchronize.py", line 59, in <module>
    " function, see issue 3770.")
ImportError: This platform lacks a functioning sem_open implementation, therefore, the required synchronization primitives needed will not function, see issue 3770.
[...]
Eita que o Python instalado no meu Slackware me traiu! Aparentemente ele não está suportando multiprocessamento...

A solução para isso é compilar o Python 2.7.13 para o sistema. Instale o novo pacote e seja feliz!
BAZINGA! Agora compilou!

Problema igual relatado em: http://www.linuxquestions.org/questions/slackware-14/problem-building-qt5-4175596534/

Outras dicas deste autor

Open Containing Folder - Firefox

Leitura recomendada

Instalação do Ktouch - Aplicativo para treinar digitação

KDE atualizado no openSUSE Leap 15.1

VIM com sintaxe colorida

BIG LINUX - a nova distribuição nacional em LIVE CD

Kdenlive com tema escuro no openSUSE Leap 15.2

  

Comentários
[1] Comentário enviado por removido em 04/02/2017 - 11:50h

Parabens pela dica.



Contribuir com comentário